Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.FillerAssistCallback Class Reference

## Public Member Functions
| AppendPopupMenuItem (h_popup_menu, popup_menu_item, default_string)
| A callback function which is triggered when need to append popup menu item to popup menu. More...
| CreatePopupMenu ()
| A callback function which is triggered when need to create a popup menu. More...
| DestroyPopupMenu (h_popup_menu)
| A callback function which is triggered when need to destroy popup menu. More...
| EnablePopupMenuItem (h_popup_menu, popup_menu_item, is_enabled)
| A callback function which is triggered when need to enable specified popup menu item in popup menu. More...
| FocusGotOnControl (control, value)
| A callback function which is triggered when the focus is set to a form control. More...
| FocusLostFromControl (control, value)
| A callback function which is triggered when the focus is lost from a form control. More...
| GetClipboardText ()
| A callback function which is triggered when need to get the text on clipboard. More...
| GetVersion ()
| Get the version of derived implementation, for compatibility reason. More...
SetTimerCallback(elapse, timer) | KillTimer (timer_id)
| A callback function used to set a system timer. More...
| Refresh (page, rect)
| A callback function used to refresh the specified area on a specified page. More...
| Release ()
| A callback function used to release current callback object itself. More...
| ReportInvalidValue (form_field_name, invalid_value)
| A callback function which is triggered when user entered an invalid value. More...
| SetClipboardText (text)
| A callback function which is triggered when need to set clipboard text. More...
| ShowPopupMenu (h_popup_menu, point)
| A callback function which is triggered when need to show popup menu. More...

## Static Public Attributes
static | e_PopupMenuItemCopy
| Popup menu item: "Copy".
static | e_PopupMenuItemCut
| Popup menu item: "Cut".
static | e_PopupMenuItemDelete
| Popup menu item: "Delete".
static | e_PopupMenuItemNone
| Enumeration for popup menu item. More...
static | e_PopupMenuItemPaste
| Popup menu item: "Paste".
static | e_PopupMenuItemSelectAll
| Popup menu item: "Select All".

## Detailed Description

This class represents a callback object to assist form filler. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AppendPopupMenuItem()

FSDK.FillerAssistCallback.AppendPopupMenuItem | ( | h_popup_menu | ,
|  | popup_menu_item | ,
|  | default_string |
| ) |  |

A callback function which is triggered when need to append popup menu item to popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from FSDK.FillerAssistCallback.e_PopupMenuItemNone and this would be one of these values.
  [in] | default_string | Default string for the specified popup menu item.

Returns
  true means success, while false means failure.

## ◆ CreatePopupMenu()

FSDK.FillerAssistCallback.CreatePopupMenu | ( |  | ) |

A callback function which is triggered when need to create a popup menu.

This callback function supports text field, combo box field.

Returns
  Popup menu handle.

## ◆ DestroyPopupMenu()

FSDK.FillerAssistCallback.DestroyPopupMenu | ( | h_popup_menu |  | ) |

A callback function which is triggered when need to destroy popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.

Returns
  None.

## ◆ EnablePopupMenuItem()

FSDK.FillerAssistCallback.EnablePopupMenuItem | ( | h_popup_menu | ,
|  | popup_menu_item | ,
|  | is_enabled |
| ) |  |

A callback function which is triggered when need to enable specified popup menu item in popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from FSDK.FillerAssistCallback.e_PopupMenuItemNone and this would be one of these values.
  [in] | is_enabled | A boolean value to decide whether to enable the specified popup menu item or disable it.

Returns
  true means success, while false means failure.

## ◆ FocusGotOnControl()

FSDK.FillerAssistCallback.FocusGotOnControl | ( | control | ,
|  | value |
| ) |  |

A callback function which is triggered when the focus is set to a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object to which the focus is set.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ FocusLostFromControl()

FSDK.FillerAssistCallback.FocusLostFromControl | ( | control | ,
|  | value |
| ) |  |

A callback function which is triggered when the focus is lost from a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object, from which the focus is lost.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ GetClipboardText()

FSDK.FillerAssistCallback.GetClipboardText | ( |  | ) |

A callback function which is triggered when need to get the text on clipboard.

This callback function supports text field, combo box field.

Returns
  The text on clipboard.

## ◆ GetVersion()

FSDK.FillerAssistCallback.GetVersion | ( |  | ) |

Get the version of derived implementation, for compatibility reason.

Returns
  Version of derived implementation.

## ◆ KillTimer()

SetTimerCallback (elapse, timer) FSDK.FillerAssistCallback.KillTimer | ( | timer_id |  | ) |

A callback function used to set a system timer.

This callback function is called to install a system timer. When a time-out value is specified, and every time when a time-out occurs, the system passes a message to the timer callback function.

Parameters

  [in] | elapse | Specifies the time-out value, in milliseconds.
  [in] | timer | A FSDK.TimerCallback object as timer.

Returns
  Returns a tuple, the first element is a boolean value, true means success, while false means failure. The second element is the parameter that receives the timer identifier of the new timer if the function is finished successfully. This value would be passed to callback function FSDK.FillerAssistCallback.KillTimer to kill the timer. Nonzero if the function is successful; otherwise, this should be zero.

A callback function used to kill the timer event by timer identifier.

Parameters

  [in] | timer_id | The timer identifier returned by an earlier calling of callback function FSDK.FillerAssistCallback.SetTimerCallback.

Returns
  true means success, while false means failure.

## ◆ Refresh()

FSDK.FillerAssistCallback.Refresh | ( | page | ,
|  | rect |
| ) |  |

A callback function used to refresh the specified area on a specified page.

Parameters

  [in] | page | A PDF page object.
  [in] | rect | A rectangle that specifies the area on the page to be redrawn. null means to refresh the whole page.

Returns
  None.

## ◆ Release()

FSDK.FillerAssistCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ ReportInvalidValue()

FSDK.FillerAssistCallback.ReportInvalidValue | ( | form_field_name | ,
|  | invalid_value |
| ) |  |

A callback function which is triggered when user entered an invalid value.

This callback function supports text field, combo box field.

Parameters

  [in] | form_field_name | The name of form field associated with the control.
  [in] | invalid_value | The invalid value of form field associated with the control.

Returns
  None.

## ◆ SetClipboardText()

FSDK.FillerAssistCallback.SetClipboardText | ( | text |  | ) |

A callback function which is triggered when need to set clipboard text.

This callback function supports text field, combo box field.

Parameters

  [in] | text | The text need to be set to clipboard.

Returns
  None.

## ◆ ShowPopupMenu()

FSDK.FillerAssistCallback.ShowPopupMenu | ( | h_popup_menu | ,
|  | point |
| ) |  |

A callback function which is triggered when need to show popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | point | Left-top point used to locate where to show the popup menu, in PDF coordinate system.

Returns
  true means success, while false means failure.

## Member Data Documentation

## ◆ e_PopupMenuItemNone

FSDK.FillerAssistCallback.e_PopupMenuItemNone
| static

Enumeration for popup menu item.

Values of this enumeration should be used alone.

No popup menu item.